package cn.iocoder.yudao.module.order.vo.orderFeeApplication;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString(callSuper = true)
@ApiModel("管理后台 - 批量费用申请创建 Request VO")
public class OrderFeeBatchApplicationUpdateReqVO {
    @ApiModelProperty(value = "订单id", required = true)
    @NotNull(message = "订单id不能为空")
    private Long orderId;
    @ApiModelProperty(value = "抄送人userId")
    String[] copyUserId;
    @ApiModelProperty(value = "批量费用")
    @NotEmpty(message = "费用列表不能为空")
    List<OrderFeeApplicationUpdateReqVO> orderFeeApplicationCreateReqVOList;
}
